Skip to main content
GET
/
perks
/
consumers
/
{consumer_id}
/
segments
List the segments a consumer is currently assigned to.
curl --request GET \
  --url https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/segments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/segments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-{programRef}.sandbox.paylead.tech/perks/consumers/{consumer_id}/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "associated_at": "2023-11-07T05:31:56Z",
      "reference": "<string>"
    }
  ],
  "meta": {
    "links": {
      "first": "<string>",
      "last": "<string>",
      "next": "<string>",
      "prev": "<string>",
      "self": "<string>"
    },
    "page": 123,
    "per_page": 123,
    "total": 123
  }
}
{
"code": "PL-400-00",
"errors": [
{
"loc": [
"body",
"field"
],
"msg": "Field required",
"type": "missing"
}
],
"instance": "/path/of/the/request",
"status": 400,
"title": "Bad Request"
}
{
"code": "PL-401-00",
"status": 401,
"title": "Unauthorized"
}
{
"code": "PL-404-02",
"status": 404,
"title": "Consumer Not Enrolled"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-api-version
string
default:2.0.0
Authorization
string | null

Path Parameters

consumer_id
string
required
Required string length: 2 - 100
Pattern: ^[a-zA-Z0-9_.-]*$

Query Parameters

page
integer
default:1
Required range: x >= 1
per_page
integer
default:50
Required range: 1 <= x <= 1000

Response

Successful Response

items
SegmentAssignationSchema · object[]
required
meta
PageMeta · object
required